Sikkerhedsopdateringer til Adobe Flash Player

Udgivelsesdato: 16. juni 2016

Id for sikkerhedsproblem: APSB16-18

Prioritet: Se tabel nedenfor

CVE-numre: CVE-2016-4122, CVE-2016-4123, CVE-2016-4124, CVE-2016-4125, CVE-2016-4127, CVE-2016-4128, CVE-2016-4129, CVE-2016-4130, CVE-2016-4131, CVE-2016-4132, CVE-2016-4133, CVE-2016-4134, CVE-2016-4135, CVE-2016-4136, CVE-2016-4137, CVE-2016-4138, CVE-2016-4139, CVE-2016-4140, CVE-2016-4141, CVE-2016-4142, CVE-2016-4143, CVE-2016-4144, CVE-2016-4145, CVE-2016-4146, CVE-2016-4147, CVE-2016-4148, CVE-2016-4149, CVE-2016-4150, CVE-2016-4151, CVE-2016-4152, CVE-2016-4153, CVE-2016-4154, CVE-2016-4155, CVE-2016-4156, CVE-2016-4166, CVE-2016-4171

Platform: Windows, Macintosh, Linux og ChromeOS

Resumé

Adobe har frigivet sikkerhedsopdateringer til Adobe Flash Player til Windows, Macintosh, Linux og ChromeOS.  Disse opdateringer vedrører kritiske sikkerhedsproblemer, der potentielt kan give en hacker mulighed for at få kontrol over det berørte system.  

Adobe er opmærksom på en rapport, der viser, at et sikkerhedsproblem i forbindelse med CVE-2016-4171 udnyttes frit på nettet til begrænsede, målrettede angreb. Se APSA16-03 for at få yderligere oplysninger.

Berørte versioner

Produkt Berørte versioner Platform
Adobe Flash Player Desktop Runtime 21.0.0.242 og tidligere
Windows og Macintosh
Adobe Flash Player Extended Support Release 18.0.0.352 og tidligere Windows og Macintosh
Adobe Flash Player til Google Chrome 21.0.0.242 og tidligere Windows, Macintosh, Linux og ChromeOS
Adobe Flash Player til Microsoft Edge og Internet Explorer 11 21.0.0.242 og tidligere Windows 10 og 8.1
Adobe Flash Player til Linux 11.2.202.621 og tidligere Linux
  • For at kontrollere, hvilken version af Adobe Flash Player der er installeret på dit system, skal du gå ind på Om Flash Player-siden eller højreklikke på indhold, der kører i Flash Player, og vælge "Om Adobe (eller Macromedia) Flash Player" via menuen. Hvis du anvender flere webbrowsere, skal du udføre denne kontrol i hver webbrowser, der er installeret på systemet.  

Løsning

Adobe kategoriserer disse opdateringer med følgende prioritetsgrader og anbefaler, at brugere opdaterer deres installationer til de nyeste versioner:

Produkt Opdaterede versioner Platform Prioritetsgrad Tilgængelighed
Adobe Flash Player Desktop Runtime
22.0.0.192 Windows og Macintosh
1

Flash Player Download Center

Flash Player Distribution

Adobe Flash Player Extended Support Release 18.0.0.360 Windows og Macintosh
1 Extended Support
Adobe Flash Player til Google Chrome 22.0.0.192 Windows, Macintosh, Linux og ChromeOS   1 Google Chrome-frigivelser
Adobe Flash Player til Microsoft Edge og Internet Explorer 11 22.0.0.192 Windows 10 og 8.1 1 Microsoft Security Advisory
Adobe Flash Player til Linux 11.2.202.626 Linux 3 Flash Player Download Center
  • Adobe anbefaler, at brugere af Adobe Flash Player Desktop Runtime til Windows og Macintosh opdaterer til version 22.0.0.192 via opdateringsmekanismen i produktet, når de bliver bedt om det [1], eller ved at besøge Adobe Flash Player Download Center.
  • Adobe anbefaler, at brugere af Adobe Flash Player Extended Support Release opdaterer til version 18.0.0.360 ved at besøge http://helpx.adobe.com/dk/flash-player/kb/archived-flash-player-versions.html.
  • Adobe anbefaler, at brugere af Adobe Flash Player til Linux opdaterer til version 11.2.202.626 ved at besøge Adobe Flash Player Download Center.
  • Adobe Flash Player, der er installeret med Google Chrome, vil automatisk blive opdateret til den nyeste Google Chrome-version, som indeholder Adobe Flash Player 22.0.0.192 til Windows, Macintosh, Linux og Chrome OS.
  • Adobe Flash Player, som er installeret med Microsoft Edge og Internet Explorer til Windows 10 og 8.1, vil automatisk blive opdateret til den seneste version, som indeholder Adobe Flash Player 22.0.0.192. 
  • Besøg Flash Player Help-siden for at få hjælp til at installere Flash Player.

[1] Brugere af Flash Player 11.2.x eller nyere til Windows, eller Flash Player 11.3.x eller nyere til Macintosh, som har valgt muligheden 'Tillad Adobe at installere opdateringer' vil modtage opdateringen automatisk. Brugere, som ikke har muligheden 'Tillad Adobe at installere opdateringer' aktiveret, kan installere opdateringen via opdateringsmekanismen i produktet, når de bliver bedt om det.

Sikkerhedsoplysninger

  • Disse opdateringer løser sikkerhedsproblemer med type confusion, som kan medføre kodekørsel (CVE-2016-4144, CVE-2016-4149).
  • Disse opdateringer løser sikkerhedsproblemer med use-after-free, der kan medføre kodekørsel (CVE-2016-4142, CVE-2016-4143, CVE-2016-4145, CVE-2016-4146, CVE-2016-4147, CVE-2016-4148).
  • Disse opdateringer løser et sikkerhedsproblem med heap buffer-overflow, der kan medføre kodekørsel (CVE-2016-4135, CVE-2016-4136, CVE-2016-4138).
  • Disse opdateringer løser sikkerhedsproblemer med ødelæggelse af hukommelsen, der kan medføre kodekørsel (CVE-2016-4122, CVE-2016-4123, CVE-2016-4124, CVE-2016-4125, CVE-2016-4127, CVE-2016-4128, CVE-2016-4129, CVE-2016-4130, CVE-2016-4131, CVE-2016-4132, CVE-2016-4133, CVE-2016-4134, CVE-2016-4137, CVE-2016-4141, CVE-2016-4150, CVE-2016-4151, CVE-2016-4152, CVE-2016-4153, CVE-2016-4154, CVE-2016-4155, CVE-2016-4156, CVE-2016-4166, CVE-2016-4171).
  • Disse opdateringer løser et sikkerhedsproblem i den mappesøgesti, der anvendes til at søge efter ressourcer, der kan medføre kodekørsel (CVE-2016-4140).
  • Disse opdateringer løser et sikkerhedsproblem, der kan udnyttes til at omgå same-origin-politikken og føre til afsløring af oplysninger (CVE-2016-4139). 

Tak til følgende personer

  • Aleksandar Nikolic fra Cisco Talos (CVE-2016-4132)
  • Mateusz Jurczyk og Natalie Silvanovich fra Google Project Zero (CVE-2016-4135, CVE-2016-4136, CVE-2016-4137, CVE-2016-4138)
  • willJ fra Tencent PC Manager (CVE-2016-4122, CVE-2016-4123, CVE-2016-4124, CVE-2016-4125, CVE-2016-4127, CVE-2016-4128, CVE-2016-4129, CVE-2016-4130, CVE-2016-4131, CVE-2016-4134, CVE-2016-4166)
  • Nicolas Joly fra Microsoft Vulnerability Research (CVE-2016-4142, CVE-2016-4143, CVE-2016-4144, CVE-2016-4145, CVE-2016-4146, CVE-2016-4147, CVE-2016-4148)
  • Wen Guanxing fra Pangu LAB (CVE-2016-4150, CVE-2016-4152, CVE-2016-4153, CVE-2016-4154, CVE-2016-4155, CVE-2016-4156)
  • LMX fra Qihoo 360 Codesafe Team (CVE-2016-4141)
  • Dan Caselden fra FireEye (CVE-2016-4140)
  • Wen Guanxing fra Pangu LAB. (CVE-2016-4151)
  • Genwei Jiang fra FireEye (CVE-2016-4149)
  • Sebastian Lekies fra Google (CVE-2016-4139)
  • kelvinwang fra Tencent PC Manager (CVE-2016-4133)
  • Anton Ivanov fra Kaspersky (CVE-2016-4171)